I'm not able to use specs

22 views
Skip to first unread message

happ...@gmail.com

unread,
Feb 13, 2014, 4:33:13 AM2/13/14
to simple-n...@googlegroups.com
Hi,

I'm trying to get the specs to passe before starting a pull request bu I get the following error. Am I doing something wrong ?
I just started the specs with `bundle exec rake spec`.

Thanks

/Users/happynoff/.gem/ruby/2.1.0/gems/actionpack-2.3.2/lib/action_controller/status_codes.rb:66:in `block in <module:StatusCodes>': undefined method `underscore' for "Continue":String (NoMethodError)
    from /Users/happynoff/.gem/ruby/2.1.0/gems/actionpack-2.3.2/lib/action_controller/status_codes.rb:65:in `each'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/actionpack-2.3.2/lib/action_controller/status_codes.rb:65:in `inject'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/actionpack-2.3.2/lib/action_controller/status_codes.rb:65:in `<module:StatusCodes>'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/actionpack-2.3.2/lib/action_controller/status_codes.rb:2:in `<module:ActionController>'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/actionpack-2.3.2/lib/action_controller/status_codes.rb:1:in `<top (required)>'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/actionpack-2.3.2/lib/action_controller/base.rb:252:in `<class:Base>'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/actionpack-2.3.2/lib/action_controller/base.rb:249:in `<module:ActionController>'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/actionpack-2.3.2/lib/action_controller/base.rb:3:in `<top (required)>'
    from /Users/happynoff/zone51/simonc-github/simple-navigation/lib/simple_navigation/rails_controller_methods.rb:144:in `<top (required)>'
    from /Users/happynoff/zone51/simonc-github/simple-navigation/spec/lib/simple_navigation/rails_controller_methods_spec.rb:4:in `require'
    from /Users/happynoff/zone51/simonc-github/simple-navigation/spec/lib/simple_navigation/rails_controller_methods_spec.rb:4:in `block in <top (required)>'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/example_group.rb:246:in `module_eval'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/example_group.rb:246:in `subclass'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/example_group.rb:232:in `describe'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/dsl.rb:18:in `describe'
    from /Users/happynoff/zone51/simonc-github/simple-navigation/spec/lib/simple_navigation/rails_controller_methods_spec.rb:3:in `<top (required)>'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/configuration.rb:896:in `load'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/configuration.rb:896:in `block in load_spec_files'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/configuration.rb:896:in `each'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/configuration.rb:896:in `load_spec_files'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/command_line.rb:22:in `run'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/runner.rb:80:in `run'
    from /Users/happynoff/.gem/ruby/2.1.0/gems/rspec-core-2.14.7/lib/rspec/core/runner.rb:17:in `block in autorun'

Andi Schacke

unread,
Feb 13, 2014, 5:09:56 AM2/13/14
to simple-n...@googlegroups.com
please run bundle update activesupport and then try again.


--
You received this message because you are subscribed to the Google Groups "simple-navigation" group.
To unsubscribe from this group and stop receiving emails from it, send an email to simple-navigat...@googlegroups.com.
To post to this group, send email to simple-n...@googlegroups.com.
Visit this group at http://groups.google.com/group/simple-navigation.
For more options, visit https://groups.google.com/groups/opt_out.

happ...@gmail.com

unread,
Feb 14, 2014, 5:50:27 AM2/14/14
to simple-n...@googlegroups.com
Already tried and nothing happens. The AS version is stuck to 2.3.2 event when I just say `bundle update`. :/
Message has been deleted

happ...@gmail.com

unread,
Feb 14, 2014, 5:56:18 AM2/14/14
to simple-n...@googlegroups.com, happ...@gmail.com
By the way, given the gemspec/Gemfile, isn't it supposed to work even with AS 2.3.2 ?
I have AS 4.0.2 installed but there is something that tells bundle not to use it apparently :/

Andi Schacke

unread,
Feb 17, 2014, 4:25:13 PM2/17/14
to simple-n...@googlegroups.com
It once was compatible with 2.3.2, but I'm not sure if it still is (that would be another topic). What happens if you uninstall 2.3.2? Can't tell why your version is not updated when you run "bundle update activesupport".



On Fri, Feb 14, 2014 at 11:51 AM, <happ...@gmail.com> wrote:
even*

Simon Courtois

unread,
Feb 18, 2014, 3:34:02 AM2/18/14
to simple-n...@googlegroups.com
Now that I’m working on cleaning up the gem,
using `gemspec` in the Gemfile solved the problem,
I don’t know why exactly :/

Simon Courtois
You received this message because you are subscribed to a topic in the Google Groups "simple-navigation" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/simple-navigation/b8voQdMdO3w/unsubscribe.
To unsubscribe from this group and all its topics, send an email to simple-navigat...@googlegroups.com.
Reply all
Reply to author
Forward
0 new messages